MetacatUI - Feature #6385

Add 'Edit’ button to metadata view for editing metadata through metacatUI rather than Morpho
01/15/2014 04:56 PM - Lauren Walker

Status: Closed Start date:

Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.5.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

History

#1 - 02/25/2014 11:16 AM - ben leinfelder
- Status changed from New to In Progress

- Assignee set to ben leinfelder

This was relatively easy to implement. Now requests to:

<metacatui>/#share/modify/<pid>

will render the modification page and allow you to submit updates.

Still need more testing and a link in the Ul for this action (probably from #view after we know they have permissions for writing/change perm).

#2 - 02/25/2014 04:34 PM - ben leinfelder

- Status changed from In Progress to Closed

Added a button to the #view page and made sure the help links work as expected even when doing cross-domain entry (e.g., snap to knb).
